> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/default.md).

# Default

Untagged routes (ongoing work)

## GET /communities/{id}

> Get a community by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/communities/{id}":{"get":{"operationId":"findCommunity","parameters":[{"schema":{"type":"integer","format":"int64"},"in":"path","style":"simple","name":"id","required":true,"explode":false}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/CommunityResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Default"],"summary":"Get a community by id","description":""}}},"components":{"schemas":{"CommunityResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/OrganisationType"},"archived":{"type":"boolean","default":false,"readOnly":true},"id":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"logo":{"type":"string","readOnly":false},"administrative_organisation_id":{"type":"string","readOnly":false}},"required":["administrative_organisation_id","archived","id","name"]},"OrganisationType":{"type":"string","enum":["CUSTOMER","CUSTOMER_POC","DEMO_SANDBOX","TEST_SANDBOX","PARTNER","TECHNICAL"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /datamarts/{datamart\_id}/analytics\_event\_transformation/{id}

> get analytics event transformation

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/analytics_event_transformation/{id}":{"get":{"summary":"get analytics event transformation","description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AnalyticsEventTransformationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"style":"simple","required":true,"name":"id","in":"path","schema":{"type":"string"},"explode":false},{"explode":false,"required":true,"name":"datamart_id","schema":{"type":"string"},"in":"path","style":"simple"}],"operationId":"getAnalyticsEventTransformation","tags":["Default"]}}},"components":{"schemas":{"AnalyticsEventTransformationResource":{"type":"object","properties":{"source_event_name":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"datamart_id":{"readOnly":false,"type":"integer","format":"int64","default":0},"mapping_id":{"readOnly":false,"format":"int64","default":0,"type":"integer"},"last_modified_by":{"type":"string","readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"target_event_name":{"type":"string","readOnly":false},"channel_id":{"default":0,"readOnly":false,"type":"integer","format":"int64"},"created_by":{"type":"string","readOnly":false},"id":{"type":"integer","readOnly":true,"format":"int64","default":0}},"required":["channel_id","created_by","datamart_id","id","last_modified_by","mapping_id","source_event_name","target_event_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /datamarts/{datamart\_id}/analytics\_event\_transformation/{id}

> Update analytics event transformation

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/analytics_event_transformation/{id}":{"put":{"parameters":[{"explode":false,"style":"simple","schema":{"type":"string"},"in":"path","name":"id","required":true},{"name":"datamart_id","style":"simple","required":true,"in":"path","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AnalyticsEventTransformationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","summary":"Update analytics event transformation","operationId":"updateAnalyticsEventTransformation","tags":["Default"],"requestBody":{"description":"The analytics event transformation to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnalyticsEventTransformationResource"}}},"required":true}}}},"components":{"schemas":{"AnalyticsEventTransformationResource":{"type":"object","properties":{"source_event_name":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"datamart_id":{"readOnly":false,"type":"integer","format":"int64","default":0},"mapping_id":{"readOnly":false,"format":"int64","default":0,"type":"integer"},"last_modified_by":{"type":"string","readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"target_event_name":{"type":"string","readOnly":false},"channel_id":{"default":0,"readOnly":false,"type":"integer","format":"int64"},"created_by":{"type":"string","readOnly":false},"id":{"type":"integer","readOnly":true,"format":"int64","default":0}},"required":["channel_id","created_by","datamart_id","id","last_modified_by","mapping_id","source_event_name","target_event_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /datamarts/{datamart\_id}/analytics\_event\_transformation/{id}

> Delete analytics event transformation

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/analytics_event_transformation/{id}":{"delete":{"parameters":[{"schema":{"type":"string"},"required":true,"style":"simple","in":"path","explode":false,"name":"id"},{"style":"simple","schema":{"type":"string"},"in":"path","required":true,"explode":false,"name":"datamart_id"}],"operationId":"deleteAnalyticsEventTransformation","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","tags":["Default"],"summary":"Delete analytics event transformation"}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /datamarts/{datamart\_id}/analytics\_event\_transformation

> Search analytics event transformations

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/analytics_event_transformation":{"get":{"tags":["Default"],"summary":"Search analytics event transformations","description":"","parameters":[{"name":"datamart_id","in":"path","style":"simple","schema":{"type":"string"},"required":true,"explode":false},{"explode":true,"name":"channel_id","style":"form","in":"query","required":false,"schema":{"type":"integer","format":"int64"},"description":"Channel Id for which the search must be performed"},{"description":"Offset from which the search must be performed","explode":true,"style":"form","name":"first_result","in":"query","schema":{"type":"integer","format":"int32"},"required":false},{"description":"Number of maximum items that shall be return by this search","explode":true,"name":"max_results","style":"form","schema":{"type":"integer","format":"int32"},"in":"query","required":false}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"integer"},"count":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"first_result":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AnalyticsEventTransformationResource"}},"max_results":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findAnalyticsEventTransformations"}}},"components":{"schemas":{"AnalyticsEventTransformationResource":{"type":"object","properties":{"source_event_name":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"datamart_id":{"readOnly":false,"type":"integer","format":"int64","default":0},"mapping_id":{"readOnly":false,"format":"int64","default":0,"type":"integer"},"last_modified_by":{"type":"string","readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"target_event_name":{"type":"string","readOnly":false},"channel_id":{"default":0,"readOnly":false,"type":"integer","format":"int64"},"created_by":{"type":"string","readOnly":false},"id":{"type":"integer","readOnly":true,"format":"int64","default":0}},"required":["channel_id","created_by","datamart_id","id","last_modified_by","mapping_id","source_event_name","target_event_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /datamarts/{datamart\_id}/analytics\_event\_transformation

> Create analytics event transformation

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/analytics_event_transformation":{"post":{"requestBody":{"description":"The analytics event transformation to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnalyticsEventTransformationResource"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AnalyticsEventTransformationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","operationId":"createAnalyticsEventTransformation","parameters":[{"name":"datamart_id","in":"path","style":"simple","explode":false,"schema":{"type":"string"},"required":true}],"tags":["Default"],"summary":"Create analytics event transformation"}}},"components":{"schemas":{"AnalyticsEventTransformationResource":{"type":"object","properties":{"source_event_name":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"datamart_id":{"readOnly":false,"type":"integer","format":"int64","default":0},"mapping_id":{"readOnly":false,"format":"int64","default":0,"type":"integer"},"last_modified_by":{"type":"string","readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"target_event_name":{"type":"string","readOnly":false},"channel_id":{"default":0,"readOnly":false,"type":"integer","format":"int64"},"created_by":{"type":"string","readOnly":false},"id":{"type":"integer","readOnly":true,"format":"int64","default":0}},"required":["channel_id","created_by","datamart_id","id","last_modified_by","mapping_id","source_event_name","target_event_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /platform\_monitoring/resources\_usage/metrics

> Fetch datamart resource consumption available metrics

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/platform_monitoring/resources_usage/metrics":{"get":{"summary":"Fetch datamart resource consumption available metrics","parameters":[{"required":true,"explode":true,"in":"query","style":"form","schema":{"type":"string"},"name":"datamart_id"}],"tags":["Default"],"operationId":"getDatamartResourceConsumptionMetrics","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DatamartResourceConsumptionMetricList"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":""}}},"components":{"schemas":{"DatamartResourceConsumptionMetricList":{"type":"object","properties":{"metrics":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false}},"required":["metrics"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /platform\_monitoring/data\_ingestion/dimensions

> Fetch pipeline ingestion analytics dimensions

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/platform_monitoring/data_ingestion/dimensions":{"get":{"parameters":[{"name":"datamart_id","in":"query","schema":{"type":"string"},"required":true,"style":"form","explode":true}],"description":"","tags":["Default"],"summary":"Fetch pipeline ingestion analytics dimensions","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PipelineIngestionDimensionList"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getPipelineIngestionMetricsDimensions"}}},"components":{"schemas":{"PipelineIngestionDimensionList":{"type":"object","properties":{"dimensions":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false}},"required":["dimensions"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /datamarts/{datamart\_id}/cleaning\_rules/{id}/status\_history

> Get the history of status updates for a given cleaning rule

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/cleaning_rules/{id}/status_history":{"get":{"tags":["Default"],"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"max_results":{"type":"integer"},"total":{"type":"integer"},"first_result":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CleaningRuleStatusHistoryPublicResource"}}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Get the history of status updates for a given cleaning rule","parameters":[{"explode":false,"in":"path","required":true,"style":"simple","schema":{"type":"integer","format":"int64"},"name":"datamart_id"},{"required":true,"explode":false,"name":"id","schema":{"type":"integer","format":"int64"},"style":"simple","in":"path"},{"style":"form","schema":{"$ref":"#/components/schemas/CleaningRuleStatus"},"explode":true,"required":false,"in":"query","name":"new_status","description":"Should retrieve the update that led to this status (LIVE or ARCHIVED)"},{"description":"Should retrieve the update that went from this status (DRAFT or LIVE)","explode":true,"required":false,"name":"last_status","style":"form","in":"query","schema":{"$ref":"#/components/schemas/CleaningRuleStatus"}},{"description":"Should retrive the update made by this user (named by its id)","name":"update_by","style":"form","schema":{"type":"string"},"required":false,"explode":true,"in":"query"},{"name":"first_result","in":"query","description":"Offset from which the search must be performed","style":"form","explode":true,"required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","description":"Number of maximum items that shall be return by this search","schema":{"type":"integer","format":"int32"},"explode":true,"required":false,"name":"max_results","style":"form"}],"operationId":"getCleaningRuleStatusHistory"}}},"components":{"schemas":{"CleaningRuleStatusHistoryPublicResource":{"type":"object","properties":{"update_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"update_by":{"type":"string","readOnly":true},"new_status":{"$ref":"#/components/schemas/CleaningRuleStatus"},"cleaning_rule_id":{"type":"string","readOnly":true},"last_status":{"$ref":"#/components/schemas/CleaningRuleStatus"}},"required":["cleaning_rule_id","last_status","new_status","update_by","update_ts"]},"CleaningRuleStatus":{"type":"string","enum":["DRAFT","LIVE","ARCHIVED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /platform\_monitoring/resources\_usage/dimensions

> Fetch datamart resource consumption dimensions

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/platform_monitoring/resources_usage/dimensions":{"get":{"parameters":[{"style":"form","schema":{"type":"string"},"required":true,"name":"datamart_id","in":"query","explode":true}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DatamartResourceConsumptionDimensionList"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getDatamartResourceConsumptionDimensions","summary":"Fetch datamart resource consumption dimensions","tags":["Default"],"description":""}}},"components":{"schemas":{"DatamartResourceConsumptionDimensionList":{"type":"object","properties":{"dimensions":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false}},"required":["dimensions"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /internal\_jobs/audience\_segment\_update\_job/logs/{audience\_segment\_id}

> Get all the computation logs for a given segment

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/internal_jobs/audience_segment_update_job/logs/{audience_segment_id}":{"get":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AudienceSegmentsJobLog"}},"status":{"type":"string","enum":["ok"]},"first_result":{"type":"integer"},"count":{"type":"integer"},"max_results":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"name":"audience_segment_id","style":"simple","description":"The segment for which we want all the logs","explode":false,"in":"path","schema":{"type":"string"},"required":true},{"explode":true,"in":"query","name":"operation","description":"The operation for which we want all the logs","required":true,"schema":{"type":"string"},"style":"form"},{"name":"first_result","explode":true,"required":false,"in":"query","description":"Offset from which the search must be performed","style":"form","schema":{"type":"integer","format":"int32"}},{"in":"query","required":false,"schema":{"type":"integer","format":"int32"},"explode":true,"style":"form","name":"max_results","description":"Number of maximum items that shall be return by this search"}],"tags":["Default"],"summary":"Get all the computation logs for a given segment","operationId":"findSegmentLogs","description":""}}},"components":{"schemas":{"AudienceSegmentsJobLog":{"allOf":[{"$ref":"#/components/schemas/SegmentComputationJobLog"},{"type":"object","properties":{"datamart_id":{"readOnly":false,"default":0,"format":"int64","type":"integer"},"operation":{"$ref":"#/components/schemas/AudienceSegmentUpdateJobOperation"},"scroll_search_ready_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"computation_end_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"segment_id":{"type":"integer","readOnly":false,"default":0,"format":"int64"},"scroll_search_file_ready_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"failure_reason":{"type":"string","readOnly":false},"computation_start_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"lag":{"type":"integer","format":"int32","default":0,"readOnly":false},"transactions_leftover":{"type":"integer","format":"int64","default":0,"readOnly":false},"transactions_done":{"type":"integer","format":"int64","default":0,"readOnly":false},"status":{"$ref":"#/components/schemas/AudienceSegmentComputeStatus"}},"required":["computation_end_date","datamart_id","lag","operation","segment_id","status","transactions_done","transactions_leftover"]}]},"SegmentComputationJobLog":{"type":"object"},"AudienceSegmentUpdateJobOperation":{"type":"string","enum":["INSERTION","DELETION","STAT","BATCH_STAT"],"readOnly":false},"AudienceSegmentComputeStatus":{"type":"string","enum":["SUCCEEDED","FAILED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /platform\_monitoring/data\_ingestion/metrics

> Fetch pipeline ingestion analytics available metrics

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/platform_monitoring/data_ingestion/metrics":{"get":{"description":"","summary":"Fetch pipeline ingestion analytics available metrics","operationId":"getPipelineIngestionMetricsMetrics","tags":["Default"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PipelineIngestionMetricList"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"style":"form","required":true,"schema":{"type":"string"},"in":"query","explode":true,"name":"datamart_id"}]}}},"components":{"schemas":{"PipelineIngestionMetricList":{"type":"object","properties":{"metrics":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false}},"required":["metrics"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /reports/audience\_segment\_analytics/metrics

> Fetch the names of available audience segment metrics

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/reports/audience_segment_analytics/metrics":{"get":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AudienceSegmentAnalyticsMetricList"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getAudienceSegmentAnalyticsMetrics","summary":"Fetch the names of available audience segment metrics","description":"","tags":["Default"]}}},"components":{"schemas":{"AudienceSegmentAnalyticsMetricList":{"type":"object","properties":{"metrics":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false}},"required":["metrics"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /datamarts/{datamart\_id}/analytics\_mapping

> Search analytics mappings

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/analytics_mapping":{"get":{"tags":["Default"],"description":"","parameters":[{"required":true,"schema":{"type":"string"},"style":"simple","explode":false,"name":"datamart_id","in":"path"},{"required":false,"style":"form","in":"query","name":"first_result","explode":true,"description":"Offset from which the search must be performed","schema":{"type":"integer","format":"int32"}},{"name":"max_results","explode":true,"description":"Number of maximum items that shall be return by this search","schema":{"type":"integer","format":"int32"},"style":"form","required":false,"in":"query"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"first_result":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AnalyticsMappingResource"}},"total":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"count":{"type":"integer"},"max_results":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findAnalyticsMappings","summary":"Search analytics mappings"}}},"components":{"schemas":{"AnalyticsMappingResource":{"type":"object","properties":{"id":{"format":"int64","default":0,"readOnly":true,"type":"integer"},"mapping":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":false},"datamart_id":{"type":"integer","default":0,"readOnly":false,"format":"int64"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":false}},"required":["created_by","datamart_id","id","mapping"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /datamarts/{datamart\_id}/analytics\_mapping

> Create analytics mapping

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/analytics_mapping":{"post":{"parameters":[{"required":true,"style":"simple","schema":{"type":"string"},"in":"path","explode":false,"name":"datamart_id"}],"tags":["Default"],"description":"","requestBody":{"description":"The analytics mapping to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnalyticsMappingResource"}}},"required":true},"operationId":"createAnalyticsMapping","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AnalyticsMappingResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Create analytics mapping"}}},"components":{"schemas":{"AnalyticsMappingResource":{"type":"object","properties":{"id":{"format":"int64","default":0,"readOnly":true,"type":"integer"},"mapping":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":false},"datamart_id":{"type":"integer","default":0,"readOnly":false,"format":"int64"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":false}},"required":["created_by","datamart_id","id","mapping"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /resource\_history/resource\_type={resource\_type}/resource\_id={resource\_id}

> Get the raw history (ie. events are not sorted) of a resource (for the current month)

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/resource_history/resource_type={resource_type}/resource_id={resource_id}":{"get":{"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ResourceHistoryResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Get the raw history (ie. events are not sorted) of a resource (for the current month)","tags":["Default"],"operationId":"getIndexedResourceHistory","parameters":[{"description":"The type of the resource (DISPLAY_AD, EMAIL_TEMPLATE and VIDEO_AD are not yet supported)","style":"simple","explode":false,"required":true,"in":"path","schema":{"type":"string"},"name":"resource_type"},{"name":"resource_id","schema":{"type":"string"},"required":true,"in":"path","style":"simple","description":"The ID of the resource for which the history is to be fetched (can't be set without resource_type)","explode":false},{"in":"query","explode":true,"schema":{"type":"integer","format":"int64"},"style":"form","name":"organisation_id","description":"The organisation in which the search is performed","required":true}]}}},"components":{"schemas":{"ResourceHistoryResource":{"type":"object","properties":{"resource_type":{"type":"string","readOnly":false},"resource_id":{"type":"string","readOnly":false},"events":{"type":"array","items":{"$ref":"#/components/schemas/HistoryEventResource"},"readOnly":false}},"required":["events","resource_id","resource_type"]},"HistoryEventResource":{"discriminator":{"propertyName":"type","mapping":{"ALERT_EVENT":"#/components/schemas/HistoryAlertEventResource","UPDATE_EVENT":"#/components/schemas/HistoryUpdateEventResource","DELETE_EVENT":"#/components/schemas/HistoryDeleteEventResource","CREATE_EVENT":"#/components/schemas/HistoryCreateEventResource","DELETE_LINK_EVENT":"#/components/schemas/HistoryDeleteLinkEventResource","CREATE_LINK_EVENT":"#/components/schemas/HistoryCreateLinkEventResource"}},"oneOf":[{"$ref":"#/components/schemas/HistoryAlertEventResource"},{"$ref":"#/components/schemas/HistoryUpdateEventResource"},{"$ref":"#/components/schemas/HistoryCreateLinkEventResource"},{"$ref":"#/components/schemas/HistoryCreateEventResource"},{"$ref":"#/components/schemas/HistoryDeleteLinkEventResource"},{"$ref":"#/components/schemas/HistoryDeleteEventResource"}],"properties":{"type":{"type":"string","enum":["ALERT_EVENT","UPDATE_EVENT","CREATE_LINK_EVENT","CREATE_EVENT","DELETE_LINK_EVENT","DELETE_EVENT"]}},"required":["type"]},"HistoryAlertEventResource":{"type":"object","properties":{"timestamp":{"$ref":"#/components/schemas/DateTime"},"user_identification":{"$ref":"#/components/schemas/UserIdentification"},"event_id":{"type":"string","format":"uuid","readOnly":false},"event_type":{"$ref":"#/components/schemas/HistoryEventType"},"alert_code":{"type":"string","readOnly":false}},"required":["alert_code","event_id","event_type","timestamp","user_identification"]},"DateTime":{"type":"string","format":"date-time","description":"iso8601 date time"},"UserIdentification":{"type":"object","properties":{"user_id":{"type":"string","readOnly":false},"user_agent":{"type":"string","readOnly":false},"user_ipaddress":{"type":"string","readOnly":false},"user_name":{"type":"string","readOnly":false}}},"HistoryEventType":{"type":"string","enum":["ACTION","ALERT"],"readOnly":false},"HistoryUpdateEventResource":{"type":"object","properties":{"old_value":{"type":"string","readOnly":false},"event_type":{"$ref":"#/components/schemas/HistoryEventType"},"user_identification":{"$ref":"#/components/schemas/UserIdentification"},"timestamp":{"$ref":"#/components/schemas/DateTime"},"event_id":{"type":"string","format":"uuid","readOnly":false},"field_changed":{"type":"string","readOnly":false},"new_value":{"type":"string","readOnly":false}},"required":["event_id","event_type","field_changed","timestamp","user_identification"]},"HistoryCreateLinkEventResource":{"allOf":[{"$ref":"#/components/schemas/HistoryLinkEventResource"},{"type":"object","properties":{"resource_id":{"type":"string","readOnly":false},"field_name":{"type":"string","readOnly":false},"user_identification":{"$ref":"#/components/schemas/UserIdentification"},"event_type":{"$ref":"#/components/schemas/HistoryEventType"},"reversed_field_name":{"type":"string","readOnly":false},"resource_type":{"type":"string","readOnly":false},"timestamp":{"$ref":"#/components/schemas/DateTime"},"event_id":{"type":"string","format":"uuid","readOnly":false}},"required":["event_id","event_type","field_name","resource_id","resource_type","reversed_field_name","timestamp","user_identification"]}]},"HistoryLinkEventResource":{"type":"object"},"HistoryCreateEventResource":{"type":"object","properties":{"timestamp":{"$ref":"#/components/schemas/DateTime"},"event_type":{"$ref":"#/components/schemas/HistoryEventType"},"event_id":{"type":"string","format":"uuid","readOnly":false},"user_identification":{"$ref":"#/components/schemas/UserIdentification"}},"required":["event_id","event_type","timestamp","user_identification"]},"HistoryDeleteLinkEventResource":{"allOf":[{"$ref":"#/components/schemas/HistoryLinkEventResource"},{"type":"object","properties":{"event_type":{"$ref":"#/components/schemas/HistoryEventType"},"reversed_field_name":{"type":"string","readOnly":false},"resource_type":{"type":"string","readOnly":false},"field_name":{"type":"string","readOnly":false},"event_id":{"type":"string","format":"uuid","readOnly":false},"timestamp":{"$ref":"#/components/schemas/DateTime"},"resource_id":{"type":"string","readOnly":false},"user_identification":{"$ref":"#/components/schemas/UserIdentification"}},"required":["event_id","event_type","field_name","resource_id","resource_type","reversed_field_name","timestamp","user_identification"]}]},"HistoryDeleteEventResource":{"type":"object","properties":{"timestamp":{"$ref":"#/components/schemas/DateTime"},"event_type":{"$ref":"#/components/schemas/HistoryEventType"},"event_id":{"type":"string","format":"uuid","readOnly":false},"user_identification":{"$ref":"#/components/schemas/UserIdentification"}},"required":["event_id","event_type","timestamp","user_identification"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /resource\_history

> Search the history of a resource

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/resource_history":{"get":{"tags":["Default"],"summary":"Search the history of a resource","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/ResourceHistoryResource"}},"count":{"type":"integer"},"max_results":{"type":"integer"},"first_result":{"type":"integer"},"total":{"type":"integer"},"status":{"type":"string","enum":["ok"]}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findIndexedResourceHistory","parameters":[{"description":"The organisation in which the search is performed","style":"form","name":"organisation_id","in":"query","required":true,"explode":true,"schema":{"type":"integer","format":"int64"}},{"required":false,"explode":true,"description":"The type of the resource (DISPLAY_AD, EMAIL_TEMPLATE and VIDEO_AD are not yet supported)","style":"form","schema":{"type":"string"},"in":"query","name":"resource_type"},{"required":false,"style":"form","description":"The ID of the resource for which the history is to be fetched (can't be set without resource_type)","in":"query","schema":{"type":"string"},"name":"resource_id","explode":true},{"name":"event_type","schema":{"$ref":"#/components/schemas/HistoryEventType"},"required":false,"explode":true,"description":"Action ( = edit done by a human user) or Alert ( = alert generated by the platform on a resource)","style":"form","in":"query"},{"in":"query","schema":{"type":"string"},"description":"The ID of the user for which the history is to be fetched","name":"user_id","required":false,"explode":true,"style":"form"},{"in":"query","description":"Get only events that occurred after this date (Unix timestamp)","schema":{"type":"string"},"name":"from","style":"form","required":false,"explode":true},{"in":"query","description":"Get only events that occurred before this date (Unix timestamp)","style":"form","name":"to","explode":true,"schema":{"type":"string"},"required":false},{"name":"max_results","required":false,"explode":true,"in":"query","schema":{"type":"integer","format":"int32"},"description":"Number of maximum items that shall be returned by this search","style":"form"}],"description":""}}},"components":{"schemas":{"ResourceHistoryResource":{"type":"object","properties":{"resource_type":{"type":"string","readOnly":false},"resource_id":{"type":"string","readOnly":false},"events":{"type":"array","items":{"$ref":"#/components/schemas/HistoryEventResource"},"readOnly":false}},"required":["events","resource_id","resource_type"]},"HistoryEventResource":{"discriminator":{"propertyName":"type","mapping":{"ALERT_EVENT":"#/components/schemas/HistoryAlertEventResource","UPDATE_EVENT":"#/components/schemas/HistoryUpdateEventResource","DELETE_EVENT":"#/components/schemas/HistoryDeleteEventResource","CREATE_EVENT":"#/components/schemas/HistoryCreateEventResource","DELETE_LINK_EVENT":"#/components/schemas/HistoryDeleteLinkEventResource","CREATE_LINK_EVENT":"#/components/schemas/HistoryCreateLinkEventResource"}},"oneOf":[{"$ref":"#/components/schemas/HistoryAlertEventResource"},{"$ref":"#/components/schemas/HistoryUpdateEventResource"},{"$ref":"#/components/schemas/HistoryCreateLinkEventResource"},{"$ref":"#/components/schemas/HistoryCreateEventResource"},{"$ref":"#/components/schemas/HistoryDeleteLinkEventResource"},{"$ref":"#/components/schemas/HistoryDeleteEventResource"}],"properties":{"type":{"type":"string","enum":["ALERT_EVENT","UPDATE_EVENT","CREATE_LINK_EVENT","CREATE_EVENT","DELETE_LINK_EVENT","DELETE_EVENT"]}},"required":["type"]},"HistoryAlertEventResource":{"type":"object","properties":{"timestamp":{"$ref":"#/components/schemas/DateTime"},"user_identification":{"$ref":"#/components/schemas/UserIdentification"},"event_id":{"type":"string","format":"uuid","readOnly":false},"event_type":{"$ref":"#/components/schemas/HistoryEventType"},"alert_code":{"type":"string","readOnly":false}},"required":["alert_code","event_id","event_type","timestamp","user_identification"]},"DateTime":{"type":"string","format":"date-time","description":"iso8601 date time"},"UserIdentification":{"type":"object","properties":{"user_id":{"type":"string","readOnly":false},"user_agent":{"type":"string","readOnly":false},"user_ipaddress":{"type":"string","readOnly":false},"user_name":{"type":"string","readOnly":false}}},"HistoryEventType":{"type":"string","enum":["ACTION","ALERT"],"readOnly":false},"HistoryUpdateEventResource":{"type":"object","properties":{"old_value":{"type":"string","readOnly":false},"event_type":{"$ref":"#/components/schemas/HistoryEventType"},"user_identification":{"$ref":"#/components/schemas/UserIdentification"},"timestamp":{"$ref":"#/components/schemas/DateTime"},"event_id":{"type":"string","format":"uuid","readOnly":false},"field_changed":{"type":"string","readOnly":false},"new_value":{"type":"string","readOnly":false}},"required":["event_id","event_type","field_changed","timestamp","user_identification"]},"HistoryCreateLinkEventResource":{"allOf":[{"$ref":"#/components/schemas/HistoryLinkEventResource"},{"type":"object","properties":{"resource_id":{"type":"string","readOnly":false},"field_name":{"type":"string","readOnly":false},"user_identification":{"$ref":"#/components/schemas/UserIdentification"},"event_type":{"$ref":"#/components/schemas/HistoryEventType"},"reversed_field_name":{"type":"string","readOnly":false},"resource_type":{"type":"string","readOnly":false},"timestamp":{"$ref":"#/components/schemas/DateTime"},"event_id":{"type":"string","format":"uuid","readOnly":false}},"required":["event_id","event_type","field_name","resource_id","resource_type","reversed_field_name","timestamp","user_identification"]}]},"HistoryLinkEventResource":{"type":"object"},"HistoryCreateEventResource":{"type":"object","properties":{"timestamp":{"$ref":"#/components/schemas/DateTime"},"event_type":{"$ref":"#/components/schemas/HistoryEventType"},"event_id":{"type":"string","format":"uuid","readOnly":false},"user_identification":{"$ref":"#/components/schemas/UserIdentification"}},"required":["event_id","event_type","timestamp","user_identification"]},"HistoryDeleteLinkEventResource":{"allOf":[{"$ref":"#/components/schemas/HistoryLinkEventResource"},{"type":"object","properties":{"event_type":{"$ref":"#/components/schemas/HistoryEventType"},"reversed_field_name":{"type":"string","readOnly":false},"resource_type":{"type":"string","readOnly":false},"field_name":{"type":"string","readOnly":false},"event_id":{"type":"string","format":"uuid","readOnly":false},"timestamp":{"$ref":"#/components/schemas/DateTime"},"resource_id":{"type":"string","readOnly":false},"user_identification":{"$ref":"#/components/schemas/UserIdentification"}},"required":["event_id","event_type","field_name","resource_id","resource_type","reversed_field_name","timestamp","user_identification"]}]},"HistoryDeleteEventResource":{"type":"object","properties":{"timestamp":{"$ref":"#/components/schemas/DateTime"},"event_type":{"$ref":"#/components/schemas/HistoryEventType"},"event_id":{"type":"string","format":"uuid","readOnly":false},"user_identification":{"$ref":"#/components/schemas/UserIdentification"}},"required":["event_id","event_type","timestamp","user_identification"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /datamarts/{datamart\_id}/field\_values\_vector\_search

> Search for field values semantically similar to a given term

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/field_values_vector_search":{"get":{"operationId":"getFieldValuesVectorSearch","tags":["Default"],"summary":"Search for field values semantically similar to a given term","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"max_results":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/EmbeddingSearchResult"}},"status":{"type":"string","enum":["ok"]},"first_result":{"type":"integer"},"total":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"name":"datamart_id","in":"path","style":"simple","required":true,"schema":{"type":"string"},"explode":false},{"description":"The term to embed and search","in":"query","required":true,"name":"search_term","schema":{"type":"string"},"explode":true,"style":"form"},{"description":"Maximum number of results to return (default 25, max 25)","required":false,"schema":{"type":"integer","format":"int32"},"name":"max_results","in":"query","explode":true,"style":"form"},{"required":false,"style":"form","explode":true,"description":"Minimum similarity score (dot product + 1.0, default 1.4)","schema":{"type":"number","format":"float"},"name":"score_threshold","in":"query"}],"description":""}}},"components":{"schemas":{"EmbeddingSearchResult":{"type":"object","properties":{"value":{"type":"string","readOnly":false},"score":{"type":"number","format":"float","default":0,"readOnly":false},"fields":{"type":"array","items":{"$ref":"#/components/schemas/FieldOccurrence"},"readOnly":false}},"required":["fields","score","value"]},"FieldOccurrence":{"type":"object","properties":{"field_path":{"type":"string","readOnly":false},"count":{"type":"integer","format":"int64","default":0,"readOnly":false}},"required":["count","field_path"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /platform\_monitoring/data\_ingestion

> get metrics about the number of events ingested

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/platform_monitoring/data_ingestion":{"post":{"tags":["Default"],"operationId":"getPipelineIngestionMetrics","summary":"get metrics about the number of events ingested","requestBody":{"description":"A report containing the dimensions and metrics you want to query, following the mediarithmics Data Cube API","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportRequestBody"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ReportView"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":""}}},"components":{"schemas":{"ReportRequestBody":{"type":"object","properties":{"dimensions":{"type":"array","items":{"$ref":"#/components/schemas/Dimension"},"readOnly":false},"sample_factor":{"type":"integer","format":"int32","default":0,"readOnly":false},"metrics":{"type":"array","items":{"$ref":"#/components/schemas/Metric"},"readOnly":false},"dimension_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/DimensionFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"order_by":{"$ref":"#/components/schemas/OrderBy"},"max_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"metric_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/MetricFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"first_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"date_ranges":{"type":"array","items":{"$ref":"#/components/schemas/DateRange"},"readOnly":false}},"required":["date_ranges","dimensions","metrics"]},"Dimension":{"type":"object","properties":{"name":{"type":"string","readOnly":false}},"required":["name"]},"Metric":{"type":"object","properties":{"expression":{"type":"string","readOnly":false},"alias":{"type":"string","readOnly":false},"formatting_type":{"$ref":"#/components/schemas/FormattingType"}},"required":["expression"]},"FormattingType":{"type":"string","enum":["INTEGER","FLOAT","TIME","PERCENT"],"readOnly":false},"BooleanOperator":{"type":"string","enum":["OR","AND"],"readOnly":false},"DimensionFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"dimension_name":{"type":"string","readOnly":false},"case_sensitive":{"type":"boolean","default":false,"readOnly":false},"expressions":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"operator":{"$ref":"#/components/schemas/DimensionFilterOperator"},"not":{"type":"boolean","default":false,"readOnly":false}},"required":["dimension_name","expressions","operator"]}]},"Filter":{"type":"object"},"DimensionFilterOperator":{"type":"string","enum":["EXACT","NUMERIC_EQUAL","NUMERIC_GREATER_THAN","NUMERIC_LESS_THAN","IN_LIST","IS_NULL","LIKE"],"readOnly":false},"OrderBy":{"type":"object","properties":{"field_name":{"type":"string","readOnly":false},"sort_order":{"$ref":"#/components/schemas/SortBy"}},"required":["field_name"]},"SortBy":{"type":"string","enum":["ASCENDING","DESCENDING"],"readOnly":false},"MetricFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"metric_name":{"type":"string","readOnly":false},"not":{"type":"boolean","default":false,"readOnly":false},"operator":{"$ref":"#/components/schemas/MetricFilterOperator"},"comparison_value":{"type":"string","readOnly":false}},"required":["comparison_value","metric_name","operator"]}]},"MetricFilterOperator":{"type":"string","enum":["EQUAL","GREATER_THAN","LESS_THAN"],"readOnly":false},"DateRange":{"type":"object","properties":{"start_date":{"type":"string","readOnly":false},"end_date":{"type":"string","readOnly":false},"timezone":{"type":"string","readOnly":false}},"required":["end_date","start_date"]},"ReportView":{"type":"object","properties":{"items_per_page":{"type":"integer","format":"int32","default":0,"readOnly":false},"total_items":{"type":"integer","format":"int32","default":0,"readOnly":false},"columns_headers":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"rows":{"type":"array","items":{"type":"array","items":{"$ref":"#/components/schemas/Any"},"readOnly":false},"readOnly":false}},"required":["columns_headers","items_per_page","rows","total_items"]},"Any":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /internal\_jobs/audience\_segment\_update\_job/logs

> Gets all segment computation job logs between the two timestamps

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/internal_jobs/audience_segment_update_job/logs":{"get":{"operationId":"getSegmentComputationJobLogs","parameters":[{"explode":true,"required":true,"in":"query","schema":{"type":"string"},"description":"The datafarm where we should look","style":"form","name":"datafarm_key"},{"explode":true,"description":"The logs considered are after this timestamp","in":"query","style":"form","schema":{"type":"integer","format":"int64"},"required":true,"name":"computed_after_ts"},{"schema":{"type":"integer","format":"int64"},"style":"form","explode":true,"in":"query","name":"computed_before_ts","required":true,"description":"The logs considered are before this timestamp"}],"tags":["Default"],"summary":"Gets all segment computation job logs between the two timestamps","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/AudienceSegmentsJobLog"}},"count":{"type":"integer"}},"required":["count","data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":""}}},"components":{"schemas":{"AudienceSegmentsJobLog":{"allOf":[{"$ref":"#/components/schemas/SegmentComputationJobLog"},{"type":"object","properties":{"datamart_id":{"readOnly":false,"default":0,"format":"int64","type":"integer"},"operation":{"$ref":"#/components/schemas/AudienceSegmentUpdateJobOperation"},"scroll_search_ready_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"computation_end_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"segment_id":{"type":"integer","readOnly":false,"default":0,"format":"int64"},"scroll_search_file_ready_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"failure_reason":{"type":"string","readOnly":false},"computation_start_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"lag":{"type":"integer","format":"int32","default":0,"readOnly":false},"transactions_leftover":{"type":"integer","format":"int64","default":0,"readOnly":false},"transactions_done":{"type":"integer","format":"int64","default":0,"readOnly":false},"status":{"$ref":"#/components/schemas/AudienceSegmentComputeStatus"}},"required":["computation_end_date","datamart_id","lag","operation","segment_id","status","transactions_done","transactions_leftover"]}]},"SegmentComputationJobLog":{"type":"object"},"AudienceSegmentUpdateJobOperation":{"type":"string","enum":["INSERTION","DELETION","STAT","BATCH_STAT"],"readOnly":false},"AudienceSegmentComputeStatus":{"type":"string","enum":["SUCCEEDED","FAILED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /reports/audience\_segment\_analytics/dimensions

> Fetch the names of available audience segment dimensions

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/reports/audience_segment_analytics/dimensions":{"get":{"tags":["Default"],"summary":"Fetch the names of available audience segment dimensions","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AudienceSegmentAnalyticsDimensionList"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","operationId":"getAudienceSegmentAnalyticsDimensions"}}},"components":{"schemas":{"AudienceSegmentAnalyticsDimensionList":{"type":"object","properties":{"dimensions":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false}},"required":["dimensions"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /platform\_monitoring/resources\_usage

> get metrics about datamart resource consumption

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/platform_monitoring/resources_usage":{"post":{"description":"","summary":"get metrics about datamart resource consumption","operationId":"getDatamartResourceConsumption","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ReportView"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"A report containing the dimensions and metrics you want to query, following the mediarithmics Data Cube API","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportRequestBody"}}},"required":true},"tags":["Default"]}}},"components":{"schemas":{"ReportView":{"type":"object","properties":{"items_per_page":{"type":"integer","format":"int32","default":0,"readOnly":false},"total_items":{"type":"integer","format":"int32","default":0,"readOnly":false},"columns_headers":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"rows":{"type":"array","items":{"type":"array","items":{"$ref":"#/components/schemas/Any"},"readOnly":false},"readOnly":false}},"required":["columns_headers","items_per_page","rows","total_items"]},"Any":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]},"ReportRequestBody":{"type":"object","properties":{"dimensions":{"type":"array","items":{"$ref":"#/components/schemas/Dimension"},"readOnly":false},"sample_factor":{"type":"integer","format":"int32","default":0,"readOnly":false},"metrics":{"type":"array","items":{"$ref":"#/components/schemas/Metric"},"readOnly":false},"dimension_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/DimensionFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"order_by":{"$ref":"#/components/schemas/OrderBy"},"max_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"metric_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/MetricFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"first_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"date_ranges":{"type":"array","items":{"$ref":"#/components/schemas/DateRange"},"readOnly":false}},"required":["date_ranges","dimensions","metrics"]},"Dimension":{"type":"object","properties":{"name":{"type":"string","readOnly":false}},"required":["name"]},"Metric":{"type":"object","properties":{"expression":{"type":"string","readOnly":false},"alias":{"type":"string","readOnly":false},"formatting_type":{"$ref":"#/components/schemas/FormattingType"}},"required":["expression"]},"FormattingType":{"type":"string","enum":["INTEGER","FLOAT","TIME","PERCENT"],"readOnly":false},"BooleanOperator":{"type":"string","enum":["OR","AND"],"readOnly":false},"DimensionFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"dimension_name":{"type":"string","readOnly":false},"case_sensitive":{"type":"boolean","default":false,"readOnly":false},"expressions":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"operator":{"$ref":"#/components/schemas/DimensionFilterOperator"},"not":{"type":"boolean","default":false,"readOnly":false}},"required":["dimension_name","expressions","operator"]}]},"Filter":{"type":"object"},"DimensionFilterOperator":{"type":"string","enum":["EXACT","NUMERIC_EQUAL","NUMERIC_GREATER_THAN","NUMERIC_LESS_THAN","IN_LIST","IS_NULL","LIKE"],"readOnly":false},"OrderBy":{"type":"object","properties":{"field_name":{"type":"string","readOnly":false},"sort_order":{"$ref":"#/components/schemas/SortBy"}},"required":["field_name"]},"SortBy":{"type":"string","enum":["ASCENDING","DESCENDING"],"readOnly":false},"MetricFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"metric_name":{"type":"string","readOnly":false},"not":{"type":"boolean","default":false,"readOnly":false},"operator":{"$ref":"#/components/schemas/MetricFilterOperator"},"comparison_value":{"type":"string","readOnly":false}},"required":["comparison_value","metric_name","operator"]}]},"MetricFilterOperator":{"type":"string","enum":["EQUAL","GREATER_THAN","LESS_THAN"],"readOnly":false},"DateRange":{"type":"object","properties":{"start_date":{"type":"string","readOnly":false},"end_date":{"type":"string","readOnly":false},"timezone":{"type":"string","readOnly":false}},"required":["end_date","start_date"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /community/{id}/logo

> Get the logo of a community (legacy path)

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/community/{id}/logo":{"get":{"parameters":[{"required":true,"explode":false,"name":"id","schema":{"type":"integer","format":"int64"},"in":"path","style":"simple"}],"responses":{"200":{"description":"The community logo","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}},"summary":"Get the logo of a community (legacy path)","tags":["Default"],"operationId":"findLegacyCommunityLogo","description":""}}}}
```

## PUT /community/{id}/logo

> Upload the logo of a community

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/community/{id}/logo":{"put":{"operationId":"putCommunityLogo","summary":"Upload the logo of a community","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/OrganisationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Default"],"description":"","parameters":[{"explode":false,"style":"simple","name":"id","required":true,"schema":{"type":"integer","format":"int64"},"in":"path"}],"requestBody":{"content":{"multipart/form-data":{"schema":{"properties":{"file":{"type":"array","items":{"type":"string","format":"binary"}}}}}}}}}},"components":{"schemas":{"OrganisationResource":{"type":"object","properties":{"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"community_id":{"type":"string","readOnly":true},"market_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":true},"administrator_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"type":{"$ref":"#/components/schemas/OrganisationType"},"enabled_features":{"type":"array","items":{"$ref":"#/components/schemas/EnabledFeatureResource"},"readOnly":false}},"required":["archived","community_id","enabled_features","id","market_id","name"]},"OrganisationType":{"type":"string","enum":["CUSTOMER","CUSTOMER_POC","DEMO_SANDBOX","TEST_SANDBOX","PARTNER","TECHNICAL"],"readOnly":false},"EnabledFeatureResource":{"type":"object","properties":{"feature_name":{"type":"string","readOnly":false},"enable_on":{"type":"string","readOnly":false}},"required":["enable_on","feature_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /communities/{id}/logo

> Get the logo of a community

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/communities/{id}/logo":{"get":{"responses":{"200":{"description":"The community logo","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}},"tags":["Default"],"operationId":"findCommunityLogo","summary":"Get the logo of a community","parameters":[{"style":"simple","name":"id","schema":{"type":"integer","format":"int64"},"explode":false,"required":true,"in":"path"}],"description":""}}}}
```

## GET /platform\_monitoring/collections/metrics

> Fetch datamart collection sizes available metrics

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/platform_monitoring/collections/metrics":{"get":{"tags":["Default"],"operationId":"getDatamartCollectionSizesMetrics","parameters":[{"required":true,"name":"datamart_id","explode":true,"style":"form","schema":{"type":"string"},"in":"query"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DatamartCollectionSizesMetricList"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Fetch datamart collection sizes available metrics","description":""}}},"components":{"schemas":{"DatamartCollectionSizesMetricList":{"type":"object","properties":{"metrics":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false}},"required":["metrics"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /datamarts/{datamart\_id}/analytics\_mapping/{id}

> get analytics mapping

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/analytics_mapping/{id}":{"get":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AnalyticsMappingResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","parameters":[{"explode":false,"in":"path","required":true,"schema":{"type":"string"},"name":"id","style":"simple"},{"in":"path","explode":false,"style":"simple","name":"datamart_id","schema":{"type":"string"},"required":true}],"operationId":"getAnalyticsMapping","summary":"get analytics mapping","tags":["Default"]}}},"components":{"schemas":{"AnalyticsMappingResource":{"type":"object","properties":{"id":{"format":"int64","default":0,"readOnly":true,"type":"integer"},"mapping":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":false},"datamart_id":{"type":"integer","default":0,"readOnly":false,"format":"int64"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":false}},"required":["created_by","datamart_id","id","mapping"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /datamarts/{datamart\_id}/analytics\_mapping/{id}

> Update analytics mapping

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/analytics_mapping/{id}":{"put":{"operationId":"updateAnalyticsMapping","tags":["Default"],"parameters":[{"in":"path","name":"id","explode":false,"schema":{"type":"string"},"required":true,"style":"simple"},{"schema":{"type":"string"},"name":"datamart_id","style":"simple","explode":false,"required":true,"in":"path"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AnalyticsMappingResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","requestBody":{"description":"The analytics mapping to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnalyticsMappingResource"}}},"required":true},"summary":"Update analytics mapping"}}},"components":{"schemas":{"AnalyticsMappingResource":{"type":"object","properties":{"id":{"format":"int64","default":0,"readOnly":true,"type":"integer"},"mapping":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":false},"datamart_id":{"type":"integer","default":0,"readOnly":false,"format":"int64"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":false}},"required":["created_by","datamart_id","id","mapping"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /datamarts/{datamart\_id}/analytics\_mapping/{id}

> Delete analytics mapping

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/analytics_mapping/{id}":{"delete":{"responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Default"],"operationId":"deleteAnalyticsMapping","description":"","parameters":[{"name":"id","style":"simple","required":true,"in":"path","schema":{"type":"string"},"explode":false},{"name":"datamart_id","required":true,"style":"simple","explode":false,"schema":{"type":"string"},"in":"path"}],"summary":"Delete analytics mapping"}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /internal\_jobs/audience\_segment\_update\_job/not\_computed\_segments

> Get all the segments that have not been computed in the given period (or during the last 24h if no period is given)

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Default","description":"Untagged routes (ongoing work)"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/internal_jobs/audience_segment_update_job/not_computed_segments":{"get":{"tags":["Default"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"first_result":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"total":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/DatamartAudienceSegmentResource"}},"max_results":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","operationId":"findNotComputedSegments","parameters":[{"in":"query","name":"datafarm_key","description":"The datafarm where we should look","explode":true,"style":"form","schema":{"type":"string"},"required":true},{"in":"query","name":"computed_after_ts","description":"Will retrieve all the segments that haven't been computed after this timestamp","schema":{"type":"integer","format":"int64"},"explode":true,"style":"form","required":false},{"style":"form","required":false,"in":"query","description":"Will retrieve all the segments that haven't been computed before this timestamp","name":"computed_before_ts","explode":true,"schema":{"type":"integer","format":"int64"}},{"in":"query","explode":true,"schema":{"type":"string"},"description":"Will retrieve all the segments that haven't been computed for this operation (STAT, INSERTION, DELETION)","name":"operation","required":true,"style":"form"},{"description":"Offset from which the search must be performed","name":"first_result","schema":{"type":"integer","format":"int32"},"required":false,"style":"form","in":"query","explode":true},{"name":"max_results","explode":true,"description":"Number of maximum items that shall be return by this search","schema":{"type":"integer","format":"int32"},"required":false,"in":"query","style":"form"}],"summary":"Get all the segments that have not been computed in the given period (or during the last 24h if no period is given)"}}},"components":{"schemas":{"DatamartAudienceSegmentResource":{"discriminator":{"propertyName":"type","mapping":{"USER_PARTITION":"#/components/schemas/UserPartitionSegmentResource","USER_LOOKALIKE":"#/components/schemas/UserLookalikePartitionBasedSegmentResource","USER_LIST":"#/components/schemas/UserListSegmentResource","USER_QUERY":"#/components/schemas/UserQuerySegmentResource","USER_LOOKALIKE_BY_COHORTS":"#/components/schemas/UserLookalikeCohortBasedSegmentResource","USER_ACTIVATION":"#/components/schemas/UserActivationSegmentResource","USER_DATA_SUBSCRIPTION":"#/components/schemas/UserDataSubscriptionSegmentResource"}},"oneOf":[{"$ref":"#/components/schemas/UserDataSubscriptionSegmentResource"},{"$ref":"#/components/schemas/UserLookalikePartitionBasedSegmentResource"},{"$ref":"#/components/schemas/UserActivationSegmentResource"},{"$ref":"#/components/schemas/UserQuerySegmentResource"},{"$ref":"#/components/schemas/UserPartitionSegmentResource"},{"$ref":"#/components/schemas/UserLookalikeCohortBasedSegmentResource"},{"$ref":"#/components/schemas/UserListSegmentResource"}],"properties":{"type":{"type":"string","enum":["USER_DATA_SUBSCRIPTION","USER_LOOKALIKE","USER_ACTIVATION","USER_QUERY","USER_PARTITION","USER_LOOKALIKE_BY_COHORTS","USER_LIST"]}},"required":["type"]},"UserDataSubscriptionSegmentResource":{"type":"object","properties":{"user_points_count_on_last_warm_up":{"type":"integer","format":"int32","default":0,"readOnly":true},"provider_name":{"type":"string","readOnly":false},"origin_segment_id":{"type":"integer","format":"int64","default":0,"readOnly":false},"technical_name":{"type":"string","readOnly":false},"default_lifetime":{"type":"integer","format":"int32","default":0,"readOnly":false},"desktop_cookie_ids_count":{"type":"integer","format":"int32","default":0,"readOnly":false},"name":{"type":"string","readOnly":false},"short_description":{"type":"string","readOnly":false},"default_ttl":{"$ref":"#/components/schemas/Duration"},"mobile_ad_ids_count":{"type":"integer","format":"int32","default":0,"readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"datamart_id":{"type":"string","readOnly":false},"token":{"type":"string","readOnly":true},"persisted":{"type":"boolean","default":false,"readOnly":false},"user_points_count":{"type":"integer","format":"int32","default":0,"readOnly":true},"emails_count":{"type":"integer","format":"int32","default":0,"readOnly":true},"audience_metrics":{"type":"array","items":{"$ref":"#/components/schemas/AudienceMetricResource"},"readOnly":true},"last_warm_up_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"id":{"type":"string","readOnly":true},"paused":{"type":"boolean","default":false,"readOnly":false},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"mobile_cookie_ids_count":{"type":"integer","format":"int32","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":false},"user_accounts_count":{"type":"integer","format":"int32","default":0,"readOnly":true},"auto_description":{"type":"string","readOnly":false},"evaluation_mode":{"$ref":"#/components/schemas/AudienceSegmentEvaluationMode"}},"required":["audience_metrics","auto_description","creation_ts","datamart_id","evaluation_mode","id","last_modified_ts","name","organisation_id","origin_segment_id","paused","persisted","provider_name","short_description","technical_name","token"]},"Duration":{"type":"number","description":"a length of time in milliseconds"},"AudienceMetricResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"display_name":{"type":"string","readOnly":true},"count":{"type":"integer","format":"int64","default":0,"readOnly":true},"count_last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["display_name","id"]},"AudienceSegmentEvaluationMode":{"type":"string","enum":["REAL_TIME","AUTOMATIC","ON_DEMAND","LIVE","PERIODIC"],"readOnly":false},"UserLookalikePartitionBasedSegmentResource":{"allOf":[{"$ref":"#/components/schemas/UserLookalikeSegmentResource"},{"type":"object","properties":{"minimum_score":{"type":"number","format":"float",
[...]
